using Edu.Common.Enum;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{
    /// <summary>
    /// rb_attendance Entity
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Attendance_LeaveTime
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 请假人
        /// </summary>        
        public int? EmployeeId
        {
            get;
            set;
        }
        /// <summary>
        /// 请假月份
        /// </summary>        
        public string AskforleaveMonth
        {
            get;
            set;
        }
        /// <summary>
        /// 时长
        /// </summary>        
        public double? Duration
        {
            get;
            set;
        }
        /// <summary>
        /// 请假类型 (1 年假 2 事假 3 病假 4 调休 5 产假 6 婚假 7 例假 8 丧假)
        /// </summary>        
        public int? AskforleaveType
        {
            get;
            set;
        }
        /// <summary>
        /// 历史添加时长
        /// </summary>        
        public string History
        {
            get;
            set;
        }
    }
}